# Generated from rsence-2.2.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rsence

Name: rubygem-%{gem_name}
Version: 2.2.5
Release: 1%{?dist}
Summary: Release 2.2 version of RSence
License: GPL-3
URL: http://www.rsence.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
BuildArch: noarch

%description
RSence is a different and unique development model and software frameworks
designed first-hand for real-time web applications. RSence consists of
separate, but tigtly integrated data- and user interface frameworks.
RSence could be classified as a thin server - thick client system.
Applications and submobules are installed as indepenent plugin bundles into
the plugins folder of a RSence environment, which in itself is a
self-contained bundle. A big part of RSence itself is implemented as shared
plugin bundles.
The user interface framework of RSence is implemented in high-level user
interface widget classes. The widget classes share a common foundation API and
access the browser's native API's using an abstracted event- and element
layer, which provides exceptional cross-browser compatibility.
The data framework of RSence is a event-driven system, which synchronized
shared values between the client and server. It's like a realtime
bidirectional form-submission engine that handles data changes intelligently.
On the client, changed values trigger events on user interface widgets. On the
server, changed values trigger events on value responder methods of server
plugin modules. It doesn't matter if the change originates on client or
server, it's all synchronized and propagated automatically.
The server framework is implemented as a high-level, modular data-event-driven
system, which handles delegation of tasks impossible to implement using a
client-only approach.
Client sessions are selectively connected to other client sessions and legacy
back-ends via the server by using the data framework.
The client is written in Javascript and the server is written in Ruby. The
client also supports CoffeeScript for custom logic. In many cases, no custom
client logic is needed; the user interfaces can be defined in tree-like data
models. By default, the models are parsed from YAML files, and other
structured data formats are possible, including XML, JSON, databases or any
custom logic capable of producing similar objects. The server can connect to
custom environments and legacy backends accessible on the server, including
software written in other languages.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/rsence
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_instdir}/conf
%{gem_instdir}/js
%{gem_libdir}
%{gem_instdir}/plugins
%{gem_instdir}/setup
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/INSTALL.rdoc
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/docs

%changelog
* Wed Apr 20 2022 mockbuilder - 2.2.5-1
- Initial package
